<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.BladeActivityResponsibleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.BladeActivityResponsible">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="phone" property="phone" />
        <result column="email" property="email" />
        <result column="department" property="department" />
        <result column="position" property="position" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, name, phone, email, department, position, create_time, update_time
    </sql>

</mapper>
